<template>
  <view class="pageBox">
    <headNav :idIndex="1 + ''" text="中医人物数据库" />
    <div class="contentBox">
      <pre v-if="options.outputType == 'XML' || options.outputType == 'JSON'">
        <code>
          {{ data }}
        </code>
      </pre>
      <div v-else-if="options.outputType == 'NT'" v-html="data"></div>
      <div v-else-if="options.outputType == 'RDF'">
        <ul>
          <li v-for="key in Object.keys(data)" class="itemBox">
            <span style="color: #666;">{{key.split(':')[0]}}:<b style="color: #000">{{key.split(':')[1]}}</b></span>
            <span>{{data[key]}}</span>
          </li>
        </ul>
      </div>
    </div>
  </view>
</template>

<script>
import { getMedicalDataOutput, getPersonDataOutput } from "@/api/index.js";

export default {
  data() {
    return {
      options: {},
      data: ""
    };
  },
  onLoad(options) {
    this.options = options;
    this.innt();
  },
  methods: {
    innt() {
      if (this.options.type == "Person") {
        getPersonDataOutput({
          personId: this.options.id,
          dataTypeEO: this.options.outputType
        }).then((res) => {
          if (this.options.outputType == 'RDF') {
            this.data = res.object;
          } else {
            this.data = res;
          }
        });
      } else {
        getMedicalDataOutput(this.options).then((res) => {
          this.data = res;
        });
      }
    }
  }
};
</script>

<style>
.pageBox {
  font-size: 14px;
}
.contentBox {
  padding: 30px;
}
.itemBox{
  margin-bottom: 10px;
  display: flex;
}
.itemBox span{
  display: inline-block;
}
.itemBox span:first-child{
  width: 200px;
  line-height: 40px;
}
.itemBox span:last-child{
  flex: 1;
  line-height: 40px;
  border-bottom: 1px solid #ccc;
}

</style>
